org.wso2.carbon.logging.admin.stub.types.carbon

## Class AppenderData

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.carbon.AppenderData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class AppenderData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  AppenderData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AppenderData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localFacility` field for Facility
    `protected boolean` | `localFacilityTracker`
    `protected boolean` | `localIsFileAppender` field for IsFileAppender
    `protected boolean` | `localIsFileAppenderTracker`
    `protected boolean` | `localIsSysLogAppender` field for IsSysLogAppender
    `protected boolean` | `localIsSysLogAppenderTracker`
    `protected String` | `localLogFile` field for LogFile
    `protected boolean` | `localLogFileTracker`
    `protected String` | `localName` field for Name
    `protected boolean` | `localNameTracker`
    `protected String` | `localPattern` field for Pattern
    `protected boolean` | `localPatternTracker`
    `protected String` | `localSysLogHost` field for SysLogHost
    `protected boolean` | `localSysLogHostTracker`
    `protected String` | `localThreshold` field for Threshold
    `protected boolean` | `localThresholdTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppenderData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFacility()` Auto generated getter method
    `boolean` | `getIsFileAppender()` Auto generated getter method
    `boolean` | `getIsSysLogAppender()` Auto generated getter method
    `String` | `getLogFile()` Auto generated getter method
    `String` | `getName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getPattern()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getSysLogHost()` Auto generated getter method
    `String` | `getThreshold()` Auto generated getter method
    `boolean` | `isFacilitySpecified()`
    `boolean` | `isIsFileAppenderSpecified()`
    `boolean` | `isIsSysLogAppenderSpecified()`
    `boolean` | `isLogFileSpecified()`
    `boolean` | `isNameSpecified()`
    `boolean` | `isPatternSpecified()`
    `boolean` | `isSysLogHostSpecified()`
    `boolean` | `isThresholdSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setFacility(String param)` Auto generated setter method
    `void` | `setIsFileAppender(boolean param)` Auto generated setter method
    `void` | `setIsSysLogAppender(boolean param)` Auto generated setter method
    `void` | `setLogFile(String param)` Auto generated setter method
    `void` | `setName(String param)` Auto generated setter method
    `void` | `setPattern(String param)` Auto generated setter method
    `void` | `setSysLogHost(String param)` Auto generated setter method
    `void` | `setThreshold(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localFacility

          protected String localFacility

      field for Facility

    - #### localFacilityTracker

          protected boolean localFacilityTracker

    - #### localIsFileAppender

          protected boolean localIsFileAppender

      field for IsFileAppender

    - #### localIsFileAppenderTracker

          protected boolean localIsFileAppenderTracker

    - #### localIsSysLogAppender

          protected boolean localIsSysLogAppender

      field for IsSysLogAppender

    - #### localIsSysLogAppenderTracker

          protected boolean localIsSysLogAppenderTracker

    - #### localLogFile

          protected String localLogFile

      field for LogFile

    - #### localLogFileTracker

          protected boolean localLogFileTracker

    - #### localName

          protected String localName

      field for Name

    - #### localNameTracker

          protected boolean localNameTracker

    - #### localPattern

          protected String localPattern

      field for Pattern

    - #### localPatternTracker

          protected boolean localPatternTracker

    - #### localSysLogHost

          protected String localSysLogHost

      field for SysLogHost

    - #### localSysLogHostTracker

          protected boolean localSysLogHostTracker

    - #### localThreshold

          protected String localThreshold

      field for Threshold

    - #### localThresholdTracker

          protected boolean localThresholdTracker

  - ### Constructor Detail

    - #### AppenderData

          public AppenderData()

  - ### Method Detail

    - #### isFacilitySpecified

          public boolean isFacilitySpecified()

    - #### getFacility

          public String getFacility()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setFacility

          public void setFacility(String param)

      Auto generated setter method
      Parameters:
        `param` - Facility

    - #### isIsFileAppenderSpecified

          public boolean isIsFileAppenderSpecified()

    - #### getIsFileAppender

          public boolean getIsFileAppender()

      Auto generated getter method
      Returns:
        boolean

    - #### setIsFileAppender

          public void setIsFileAppender(boolean param)

      Auto generated setter method
      Parameters:
        `param` - IsFileAppender

    - #### isIsSysLogAppenderSpecified

          public boolean isIsSysLogAppenderSpecified()

    - #### getIsSysLogAppender

          public boolean getIsSysLogAppender()

      Auto generated getter method
      Returns:
        boolean

    - #### setIsSysLogAppender

          public void setIsSysLogAppender(boolean param)

      Auto generated setter method
      Parameters:
        `param` - IsSysLogAppender

    - #### isLogFileSpecified

          public boolean isLogFileSpecified()

    - #### getLogFile

          public String getLogFile()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogFile

          public void setLogFile(String param)

      Auto generated setter method
      Parameters:
        `param` - LogFile

    - #### isNameSpecified

          public boolean isNameSpecified()

    - #### getName

          public String getName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setName

          public void setName(String param)

      Auto generated setter method
      Parameters:
        `param` - Name

    - #### isPatternSpecified

          public boolean isPatternSpecified()

    - #### getPattern

          public String getPattern()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPattern

          public void setPattern(String param)

      Auto generated setter method
      Parameters:
        `param` - Pattern

    - #### isSysLogHostSpecified

          public boolean isSysLogHostSpecified()

    - #### getSysLogHost

          public String getSysLogHost()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setSysLogHost

          public void setSysLogHost(String param)

      Auto generated setter method
      Parameters:
        `param` - SysLogHost

    - #### isThresholdSpecified

          public boolean isThresholdSpecified()

    - #### getThreshold

          public String getThreshold()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setThreshold

          public void setThreshold(String param)

      Auto generated setter method
      Parameters:
        `param` - Threshold

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.